<template>
  <only-mobile>
    <div :class="`grid p-4`" style='grid-template: "left center right" auto / 1fr auto 1fr'>
      <i
        @click="$router.push({ name: 'SearchQuery' })"
        class="hero search solid text-xl text-gray-700 mr-2"
        style="grid-area: left"
      ></i>
      <div class="flex flex-row items-center overflow-hidden" style="grid-area: center">
        <i
          v-if="icon"
          :class="`hero text-${color}-500 ${icon.includes('outline') || icon.includes('solid') ? '' : 'solid'} ${icon}`"
        ></i>
        <div v-else class="px-1">
          <div :class="`rounded-full w-2 h-2 bg-${color}-500 transition duration-200`"></div>
        </div>
        <div class="mx-1 truncate text-sm font-bold w-128">
          {{ title }}
        </div>
      </div>
      <div v-if="showOptions" class="flex flex-row items-center justify-end" style="grid-area: right">
        <i @click.stop="$emit('options-click', $event)" class="hero dots-vertical solid text-xl text-gray-700"></i>
      </div>
    </div>
  </only-mobile>
  <only-desktop>
    <div class="flex-col items-start justify-start pt-8 px-4">
      <div class="text-sm flex flex-row items-center">
        <div class="text-blue-500 font-bold">Todoninja</div>
        <div class="text-blue-500 font-bold mx-2">-</div>
        <div class="text-gray-500">Todo PWA</div>
      </div>

      <div :key="title" class="text-5xl flex flex-row items-center justify-start mt-3">
        <div
          :class="
            `flex flex-row items-center rounded-lg p-2 bg-${
              color == 'black' ? 'gray' : color
            }-100 text-${color}-500 mr-4 border-2`
          "
        >
          <i
            v-if="icon"
            :class="`hero text-3xl ${icon.includes('outline') || icon.includes('solid') ? '' : 'outline'} ${icon}`"
          ></i>
          <i v-else :class="`bg-${color}-500 rounded-full h-4 w-4 m-2`"></i>
        </div>
        {{ title }}
      </div>
    </div>
  </only-desktop>
</template>

<script>
import OnlyDesktop from "./OnlyDesktop.vue";
import OnlyMobile from "./OnlyMobile.vue";

export default {
  props: {
    color: {
      type: String,
      required: true
    },
    title: {
      type: String,
      required: true
    },
    icon: {
      type: String,
      default: ""
    },
    showOptions: {
      type: Boolean,
      default: true
    }
  },
  emits: ["options-click"],
  components: { OnlyDesktop, OnlyMobile }
};
</script>
